Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.clsproperties
Class OldRestrictionTreeNode

    java.lang.Object
      javax.swing.tree.DefaultMutableTreeNode
          edu.stanford.smi.protegex.owl.ui.clsproperties.RestrictionTreeNode
              edu.stanford.smi.protegex.owl.ui.clsproperties.OldRestrictionTreeNode

All Implemented Interfaces:
  edu.stanford.smi.protege.util.Disposable, Serializable, Cloneable, MutableTreeNode, TreeNode

    public class OldRestrictionTreeNode

extends RestrictionTreeNode

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.tree.DefaultMutableTreeNode
`allowsChildren, children, EMPTY_ENUMERATION, parent, userObject`

Constructor Summary
`OldRestrictionTreeNode(PropertyRestrictionsTree tree, OWLRestriction restriction, RDFSClass inheritedFromClass)`

Method Summary
`void` | `checkExpression(String text)`
`String` | `getFillerText()`
`Icon` | `getIcon()`
`RDFSClass` | `getInheritedFromClass()`
`char` | `getOperator()`
`OWLRestriction` | `getRestriction()`
`edu.stanford.smi.protege.model.Cls` | `getRestrictionMetaCls()`
`boolean` | `isInherited()`
`void` | `setUserObject(Object userObject)`

Methods inherited from class edu.stanford.smi.protegex.owl.ui.clsproperties.RestrictionTreeNode
`dispose, getOperatorName, getParentNode`

Methods inherited from class javax.swing.tree.DefaultMutableTreeNode
`add, breadthFirstEnumeration, children, clone, depthFirstEnumeration, getAllowsChildren, getChildAfter, getChildAt, getChildBefore, getChildCount, getDepth, getFirstChild, getFirstLeaf, getIndex, getLastChild, getLastLeaf, getLeafCount, getLevel, getNextLeaf, getNextNode, getNextSibling, getParent, getPath, getPathToRoot, getPreviousLeaf, getPreviousNode, getPreviousSibling, getRoot, getSharedAncestor, getSiblingCount, getUserObject, getUserObjectPath, insert, isLeaf, isNodeAncestor, isNodeChild, isNodeDescendant, isNodeRelated, isNodeSibling, isRoot, pathFromAncestorEnumeration, postorderEnumeration, preorderEnumeration, remove, remove, removeAllChildren, removeFromParent, setAllowsChildren, setParent, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OldRestrictionTreeNode

    public OldRestrictionTreeNode(PropertyRestrictionsTree tree,
                                  OWLRestriction restriction,
                                  RDFSClass inheritedFromClass)

Method Detail

### checkExpression

    public void checkExpression(String text)
                         throws Throwable

  Specified by:
    `checkExpression` in class `RestrictionTreeNode`
  Throws:
    `Throwable`

### getFillerText

    public String getFillerText()

  Specified by:
    `getFillerText` in class `RestrictionTreeNode`

### getInheritedFromClass

    public RDFSClass getInheritedFromClass()

  Specified by:
    `getInheritedFromClass` in class `RestrictionTreeNode`

### getOperator

    public char getOperator()

  Specified by:
    `getOperator` in class `RestrictionTreeNode`

### getRestriction

    public OWLRestriction getRestriction()

### getRestrictionMetaCls

    public edu.stanford.smi.protege.model.Cls getRestrictionMetaCls()

  Specified by:
    `getRestrictionMetaCls` in class `RestrictionTreeNode`

### getIcon

    public Icon getIcon()

  Specified by:
    `getIcon` in class `RestrictionTreeNode`

### isInherited

    public boolean isInherited()

  Specified by:
    `isInherited` in class `RestrictionTreeNode`

### setUserObject

    public void setUserObject(Object userObject)

  Specified by:
    `setUserObject` in interface `MutableTreeNode`
  Overrides:
    `setUserObject` in class `DefaultMutableTreeNode`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.